Name: maximus
Version: 0.4.14
Release: alt2

Summary: Window management tool to maximasi and undecorate windows
License: GPLv3
Group: Graphical desktop/GNOME
Url: http://launchpad.net/maximus

Packager: Vitaly Kuznetsov <vitty@altlinux.ru>
BuildRequires(pre): rpm-build-gnome rpm-build-xdg
BuildRequires: libfakekey-devel libgnomeui-devel libunique-devel libwnck-devel xorg-inputproto-devel xorg-xextproto-devel libXi-devel
Source0: %name-%version.tar

%description
A simple window management tool which:
  * Allows you to set basic rules for a window type, such as maximise|undecorate
  * Allows exceptions to the rules, based on string matching for window name
    and window class.
  * Allows 'reversing' of rules when the user manually changes something:
  * Re-decorates windows on un-maximise.

%prep
%setup

%build
%configure
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%gconf_schemasdir/*
%_bindir/*
%_xdgconfigdir/autostart/*

%changelog
* Sun Apr 11 2010 Vitaly Kuznetsov <vitty@altlinux.ru> 0.4.14-alt2
- fix build with new xorg

* Wed Feb 17 2010 Vitaly Kuznetsov <vitty@altlinux.ru> 0.4.14-alt1
- initial
